## ros-noetic-rqt-graph 0.4.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_graph)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/dotcode_test.py)
endif()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_graph
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-graph (0.4.14-1buster) buster; urgency=high

  * readd rqt_graph global executable, regression from 0.4.13 (#45 <https://github.com/ros-visualization/rqt_graph/issues/45>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-noetic-rqt-graph (0.4.13-1buster) buster; urgency=high

  * use catkin_install_python() (#43 <https://github.com/ros-visualization/rqt_graph/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 20 May 2020 07:00:00 -0000

ros-noetic-rqt-graph (0.4.12-1buster) buster; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Mar 2020 07:00:00 -0000

ros-noetic-rqt-graph (0.4.11-1buster) buster; urgency=high

  * skip removal of non-present tf connections (#40 <https://github.com/ros-visualization/rqt_graph/issues/40>)
  * add Python 3 conditional dependencies (#37 <https://github.com/ros-visualization/rqt_graph/issues/37>)
  * fix typo that caused a crash when trying to load a dot file. (#31 <https://github.com/ros-visualization/rqt_graph/issues/31>)
  * autopep8 and gitignore (#19 <https://github.com/ros-visualization/rqt_graph/issues/19>)
  * replace str() by unicode() (#17 <https://github.com/ros-visualization/rqt_graph/issues/17>)
  * edge class is unhashable so cannot put into a set, use a list instead (#16 <https://github.com/ros-visualization/rqt_graph/issues/16>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Jan 2020 08:00:00 -0000

ros-noetic-rqt-graph (0.4.10-1buster) buster; urgency=high

  * add nested subnamespaces and more options to hide or group topics (#13 <https://github.com/ros-visualization/rqt_graph/issues/13>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 22 May 2018 07:00:00 -0000

ros-noetic-rqt-graph (0.4.9-1buster) buster; urgency=high

  * fixes for Python 3 (#10 <https://github.com/ros-visualization/rqt_graph/issues/10>)
  * only show namespaces if all entities have a common non-empty base path (#8 <https://github.com/ros-visualization/rqt_graph/issues/8>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-rqt-graph (0.4.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-noetic-rqt-graph (0.4.7-1buster) buster; urgency=high

  * fix statistics are enabled, regression of 0.4.4 (#428 <https://github.com/ros-visualization/rqt_common_plugins/issues/428>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-noetic-rqt-graph (0.4.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-noetic-rqt-graph (0.4.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-noetic-rqt-graph (0.4.4-1buster) buster; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-noetic-rqt-graph (0.4.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-noetic-rqt-graph (0.4.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-noetic-rqt-graph (0.4.1-1buster) buster; urgency=high

  * fix mouse wheel delta in Qt 5 (#376 <https://github.com/ros-visualization/rqt_common_plugins/issues/376>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-noetic-rqt-graph (0.4.0-1buster) buster; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-noetic-rqt-graph (0.3.13-1buster) buster; urgency=high

  * Remove repeated prefices from buttons
  * Prefix all node and topic names with n_ and t_ respectively, to allow dot to distinguish them
  * Contributors: Eric Wieser

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-noetic-rqt-graph (0.3.12-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-noetic-rqt-graph (0.3.11-1buster) buster; urgency=high

  * fix duplicate rendering of statistics information (#283 <https://github.com/ros-visualization/rqt_common_plugins/issues/283>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-noetic-rqt-graph (0.3.10-1buster) buster; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 07:00:00 -0000

ros-noetic-rqt-graph (0.3.9-1buster) buster; urgency=high

  * fix rendering of namespace boxes (#266 <https://github.com/ros-visualization/rqt_common_plugins/issues/266>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-noetic-rqt-graph (0.3.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 07:00:00 -0000

ros-noetic-rqt-graph (0.3.7-1buster) buster; urgency=high

  * fix compatibility with Groovy, use TopicStatistics only if available (#252 <https://github.com/ros-visualization/rqt_common_plugins/issues/252>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-noetic-rqt-graph (0.3.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-noetic-rqt-graph (0.3.5-1buster) buster; urgency=high

  * add displaying of topic/connection statistics along edges (#214 <https://github.com/ros-visualization/rqt_common_plugins/pull/214>)


=== debian/control ===
Source: ros-noetic-rqt-graph
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_graph
Standards-Version: 3.9.2

Package: ros-noetic-rqt-graph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-qt-dotgraph, ros-noetic-rosgraph, ros-noetic-rosgraph-msgs, ros-noetic-roslib, ros-noetic-rosnode, ros-noetic-rospy, ros-noetic-rosservice, ros-noetic-rostopic, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py
Description: rqt_graph provides a GUI plugin for visualizing the ROS computation graph.
 Its components are made generic so that other packages where you want to achieve graph representation can depend upon this pkg (use rqt_dep to find out the pkgs that depend. rqt_dep itself depends on rqt_graph too).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-graph//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
